pysqlite compilation fails on 64-bits nomultilib systesms, so add a prereq check...
authorFlorian Fainelli <florian@openwrt.org>
Fri, 26 Sep 2008 16:19:42 +0000 (16:19 +0000)
committerFlorian Fainelli <florian@openwrt.org>
Fri, 26 Sep 2008 16:19:42 +0000 (16:19 +0000)
SVN-Revision: 12717

lang/pysqlite/Makefile

index ee74d7fccce5b159a7b572b9a413553cf6078381..b5896150faafa2461ba64d5cf72a773fc38d3842 100644 (file)
@@ -49,3 +49,7 @@ endef
 
 $(eval $(call PyPackage,python-sqlite))
 $(eval $(call BuildPackage,python-sqlite))
 
 $(eval $(call PyPackage,python-sqlite))
 $(eval $(call BuildPackage,python-sqlite))
+
+$(eval $(call RequireHeader,/usr/include/gnu/stubs-32.h, \
+       $(PKG_NAME) requires a 32-bits toolchain. \
+))